function getCookie(name) {
    var matches = document.cookie.match(new RegExp(
        "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
    ))
    return matches ? decodeURIComponent(matches[1]) : undefined
}

function randRange(data) {
       var newTime = data[Math.floor(data.length * Math.random())];
       return newTime;
}

function lastpack(numpack) {
    var minNumPack = 3; // Минимальное количество упаковок
    var lastClass = $('.lastpack'); // Объект
    var numpackCookie = getCookie("lastpack");
    var timeArray = new Array(2000, 13000, 15000, 7000, 6000, 11000);

    if(numpackCookie == undefined) {
        document.cookie = numpack;
    } else {
        var numpack =  numpackCookie;
    }
    
    if (numpack > minNumPack) {
        numpack--;
        document.cookie = "lastpack="+numpack;
        lastClass.text(numpack);   
    } else {
        lastClass.text(minNumPack);
    }
    clearInterval(timer);
    timer = setInterval(lastpack, randRange(timeArray), numpack);
}

var timer = setInterval(lastpack, 0, 40);


/* scroll */
$(document).ready(function() {
    function scroll(who, where) {
        $(who).on("touchend, click", function (e) {
            e.preventDefault();
            $('body,html').animate({
                scrollTop: $(where).offset().top
            }, 700);
        });
    };

    scroll('.to_form', '#form');
});
/* */


window.onload = function () {
    var userCity = $(".user-city");

    function checkCity(city) {
        if (!city) {
            return 'Москва'
        }
        return city;
    }
    if (window.ymaps) {
        userCity.text(checkCity(ymaps.geolocation.city));
    } else {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', 'https://click.lucky.online/click/ip-location.html', false);
        xhr.send();
        if (xhr.status != 200) {
            userCity.text(checkCity(null));
        } else {
            var response = JSON.parse(xhr.responseText);
            userCity.text(checkCity(response.city));
        }
    }
};


setTimeout(function () {
    var flag = true;
    $(window).mouseout(function (e) {
        if (e.pageY - $(window).scrollTop() < 1 && flag == true) {
            $('.demon_popup').fadeIn(300);
            $('.eeee').fadeIn(300);
            flag = false;
        }
    })
}, 000);

$('body, .popup_btn, .demon_close').click(function () {
    $('.demon_popup').fadeOut(300);
    $('.eeee').fadeOut(300);
})

$('.demon_popup').click(function (e) {
    e.stopPropagation();
});